%define name iptoip
%define version 0.1.3
%define release 1mdk

Name: %name
Summary: iptoip - maintains a coherent ipvsadm table 
Version: %version
Release: %release
Source: %name-%version.tar.bz2
Group: Networking/Other
BuildRoot: %_tmppath/%name-buildroot
License: GPL
Url: http://iptoip.sourceforge.net
Requires: perl perl-XML-Simple >= 1.05

%description
iptoip is a program to maintain an ipvsadm table coherent.
It is specially useful when using an intermittent internet
connection or when your ISP breaks conections to reaffect IP 
addresses (like in France). Use the ipvsadm tool to build
and update a forwarding table. 


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q

%build

%install

mkdir -p $RPM_BUILD_ROOT%_sbindir/
mkdir -p $RPM_BUILD_ROOT%_initrddir/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/

install -m 755 iptoip $RPM_BUILD_ROOT%_sbindir/
install -m 755 iptoip.init $RPM_BUILD_ROOT%_initrddir/iptoip
install -m 644 iptoip.xml $RPM_BUILD_ROOT%_sysconfdir/


%clean
rm -rf $RPM_BUILD_ROOT 

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add iptoip
fi


%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del iptoip
fi


%files
%defattr(-,root,root,0755)
%doc README CHANGELOG AUTHORS COPYING TODO
%_initrddir/*
%_sbindir/*
%config(noreplace) %_sysconfdir/iptoip.xml

%changelog
* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-1mdk
- updated to 0.1.3

* Wed Apr 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2
- added initscript from Philippe Libat at Mandrakesoft.

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
